#! /bin/sh

# Script parameters are passed in the following environment variables:
#   GSC_CC_O_GAMBCDIR_BIN
#   GSC_CC_O_GAMBCDIR_INCLUDE
#   GSC_CC_O_GAMBCDIR_LIB
#   GSC_CC_O_OBJ_FILENAME
#   GSC_CC_O_C_FILENAME_DIR
#   GSC_CC_O_C_FILENAME_BASE
#   GSC_CC_O_CC_OPTIONS
#   GSC_CC_O_LD_OPTIONS_PRELUDE
#   GSC_CC_O_LD_OPTIONS

# echo GSC_CC_O_GAMBCDIR_BIN = "${GSC_CC_O_GAMBCDIR_BIN}"
# echo GSC_CC_O_GAMBCDIR_INCLUDE = "${GSC_CC_O_GAMBCDIR_INCLUDE}"
# echo GSC_CC_O_GAMBCDIR_LIB = "${GSC_CC_O_GAMBCDIR_LIB}"
# echo GSC_CC_O_OBJ_FILENAME = "${GSC_CC_O_OBJ_FILENAME}"
# echo GSC_CC_O_C_FILENAME_DIR = "${GSC_CC_O_C_FILENAME_DIR}"
# echo GSC_CC_O_C_FILENAME_BASE = "${GSC_CC_O_C_FILENAME_BASE}"
# echo GSC_CC_O_CC_OPTIONS = "${GSC_CC_O_CC_OPTIONS}"
# echo GSC_CC_O_LD_OPTIONS_PRELUDE = "${GSC_CC_O_LD_OPTIONS_PRELUDE}"
# echo GSC_CC_O_LD_OPTIONS = "${GSC_CC_O_LD_OPTIONS}"

cd "${GSC_CC_O_C_FILENAME_DIR}"

cc  -O2 -pipe -fno-move-loop-invariants -fno-strict-aliasing  -Wall -W -Wno-unused -O1 -fno-math-errno -fschedule-insns2 -O1 -fno-math-errno -fschedule-insns2 -fno-trapping-math -fno-strict-aliasing -fwrapv -fmodulo-sched -freschedule-modulo-scheduled-loops -fomit-frame-pointer -fno-move-loop-invariants -fPIC -fno-common -mieee-fp -rdynamic -shared -I"${GSC_CC_O_GAMBCDIR_INCLUDE}" -D___DYNAMIC -D___SINGLE_HOST -o "${GSC_CC_O_OBJ_FILENAME}" ${GSC_CC_O_CC_OPTIONS} ${GSC_CC_O_LD_OPTIONS_PRELUDE} "${GSC_CC_O_C_FILENAME_BASE}" ${GSC_CC_O_LD_OPTIONS}
